Random letters
Most popular
Newest
Latest
Hi Kelsey! It’s the day of your graduation! Pretty exciting! I wonder if you know where you’re going to school yet, USD, right?!:) Probably. It was a pretty great school! I hope you've made...

Read full letter

Mylima dukryte, kai rašom tau laišką, tu tykiai miegi savo lovelėj. Tau dar tik 3 mėnesiukai. Visai neseniai paminėjome tavo 100tadienį. Jau šimtą dienų mes glaudžiam tave prie savo...

Read full letter

Labas, Simai, Čia Tau rašo Lina iš praeities {{{{: Dabar yra 2012-12-04 diena, Tu geri braškių arbatą ir žaidi savo paauglišką šaudynių žaidimą, o Henrikas guli skalbinių dėžėje...

Read full letter

Hi, it's Brandon from December 10th, 2011 reminding you that it's been 10 years since Zack, Aaron, Justin, Steven, Sarah, Johnny, Brooke and I buried the time capsule in my backyard. My cousin...

Read full letter

hi im in highscool yay finally d,lvnhoawerjhbfojaebvhfoucv im so exited lololollololloololllooloilolooloooloololololololol ololololololololololl. i was so imature in 8th grade but ik i still that...

Read full letter

 
Back
 
 
Next
 
Phrase of the day
 
Create a promise
 
Write a letter